//
//  CrossPkiError.swift
//  Runner
//
//  Created by Lacuna Software on 5/13/20.
//

import Foundation

public enum ErrorCodes: String {
    case unknown
    case internalError
    case wrongPassword
    case algorithmNotSupported
    case certificateNotFound
    case keyNotFound
}

public enum CrossPkiError: Error {
    case error(_ code: ErrorCodes, _ message: String)
}
